## org.omg.PortableServer
Class ServantRetentionPolicyValueHelper

    java.lang.Object
      |
      +--org.omg.PortableServer.ServantRetentionPolicyValueHelper

public class ServantRetentionPolicyValueHelper
extends java.lang.Object

Helper class for : ServantRetentionPolicyValue

Author:
  OpenORB Compiler

Constructor Summary
`ServantRetentionPolicyValueHelper()`

Method Summary
`static ServantRetentionPolicyValue` `extract(Any a)` Extract ServantRetentionPolicyValue from an any
`static java.lang.String` `id()` Return the ServantRetentionPolicyValue IDL ID
`static void` `insert(Any a, ServantRetentionPolicyValue t)` Insert ServantRetentionPolicyValue into an any
`static ServantRetentionPolicyValue` `read(InputStream istream)` Read ServantRetentionPolicyValue from a marshalled stream
`static TypeCode` `type()` Return the ServantRetentionPolicyValue TypeCode
`static void` `write(OutputStream ostream, ServantRetentionPolicyValue value)` Write ServantRetentionPolicyValue into a marshalled stream

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ServantRetentionPolicyValueHelper

    public ServantRetentionPolicyValueHelper()

Method Detail

### insert

    public static void insert(Any a,
                              ServantRetentionPolicyValue t)

  Insert ServantRetentionPolicyValue into an any
  Parameters:
    `a` - an any
    `t` - ServantRetentionPolicyValue value

### extract

    public static ServantRetentionPolicyValue extract(Any a)

  Extract ServantRetentionPolicyValue from an any
  Parameters:
    `a` - an any
  Returns:
    the extracted ServantRetentionPolicyValue value

### type

    public static TypeCode type()

  Return the ServantRetentionPolicyValue TypeCode
  Returns:
    a TypeCode

### id

    public static java.lang.String id()

  Return the ServantRetentionPolicyValue IDL ID
  Returns:
    an ID

### read

    public static ServantRetentionPolicyValue read(InputStream istream)

  Read ServantRetentionPolicyValue from a marshalled stream
  Parameters:
    `istream` - the input stream
  Returns:
    the readed ServantRetentionPolicyValue value

### write

    public static void write(OutputStream ostream,
                             ServantRetentionPolicyValue value)

  Write ServantRetentionPolicyValue into a marshalled stream
  Parameters:
    `ostream` - the output stream
    `value` - ServantRetentionPolicyValue value